import pygame
import urllib.request
import urllib.error
from obce import *

def draw(screen,xd,yd,zd):              #prekresleni mapy
    image = []
    for y in range(3):
        for x in range(3):
            try:
                urllib.request.urlretrieve("http://"+server+":"+str(port)+"/"+str(zd)+"/"+str(xd+x-1)+"/"+str(yd+y-1)+".jpg","image.jpg")  #ukladani obrazku do mezisouboru 
                image.append(pygame.image.load("image.jpg"))    #vytvoreni a ulozeni Surface do listu dlazdic
            except urllib.error.HTTPError or urllib.error.URLError:
                image.append(pygame.Surface((256,256)))         #pokud obrazek neexistuje, bude tam cerne misto
            screen.blit(image[-1],(256*x,256*y,256,256)) 
            pygame.display.flip()
    

print("ahoj")
xd = int(input("Zadejte x souradnici dlazdice:")) #nacitani udaju z klavesnice
yd = int(input("Zadejte y souradnici dlazdice:"))
zd = int(input("Zadejte priblizeni:"))
server = input("Zadejte server bez http://:")
port = int(input("Zadejte port:"))


screen = pygame.display.set_mode((1000,768))
image = []
for y in range(3):
    for x in range(3):
        try:
            urllib.request.urlretrieve("http://"+server+":"+str(port)+"/"+str(zd)+"/"+str(xd+x-1)+"/"+str(yd+y-1)+".jpg","image.jpg")  #ukladani obrazku do mezisouboru 
            image.append(pygame.image.load("image.jpg"))    #vytvoreni a ulozeni Surface do listu dlazdic
        except urllib.error.HTTPError or urllib.error.URLError:
            image.append(pygame.Surface((256,256)))         #pokud obrazek neexistuje, bude tam cerne misto
        screen.blit(image[-1],(256*x,256*y,256,256)) 
        pygame.display.flip()
pygame.font.init()
fontsurf = pygame.font.SysFont("sans-serif",25).render("Vyber obce - O",1,(255,255,255))
screen.blit(fontsurf,(780,100,200,100))
pygame.display.flip()
while True:
    event = pygame.event.poll()         #zavirani aplikace
    if event.type == pygame.QUIT:
        print("exit")
        exit()
    elif event.type == pygame.KEYDOWN:                          
        if event.key == pygame.K_o:
            print("obce")
            pygame.display.quit()
            obce = Obce(input("Zadejte jmeno obce:"),server,port)
        if event.key == pygame.K_UP:                        #posouvani mapy
            yd -= 1
            draw(screen,xd,yd,zd)
        if event.key == pygame.K_RIGHT:
            xd += 1
            draw(screen,xd,yd,zd)
        if event.key == pygame.K_DOWN:
            yd += 1
            draw(screen,xd,yd,zd)
        if event.key == pygame.K_LEFT:
            xd -= 1
            draw(screen,xd,yd,zd)
        if event.key == pygame.K_KP_PLUS:               #priblizovani/oddalovani mapy
            zd += 1
            xd = xd*2
            yd = yd*2
            draw(screen,xd,yd,zd)
        if event.key == pygame.K_KP_MINUS:
            zd -= 1
            xd = int(xd/2)
            yd = int(yd/2)
            draw(screen,xd,yd,zd)
